% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/scales.R
\name{viridis_pal}
\alias{viridis_pal}
\title{Viridis palette (discrete)}
\usage{
viridis_pal(alpha = 1, begin = 0, end = 1, direction = 1,
  option = "D")
}
\arguments{
\item{alpha}{pass through parameter to \code{viridis}}

\item{begin}{The (corrected) hue in [0,1] at which the viridis colormap begins.}

\item{end}{The (corrected) hue in [0,1] at which the viridis colormap ends.}

\item{direction}{Sets the order of colors in the scale. If 1, the default, colors
are ordered from darkest to lightest. If -1, the order of colors is reversed.}

\item{option}{A character string indicating the colormap option to use. Four
options are available: "magma" (or "A"), "inferno" (or "B"), "plasma" (or "C"),
and "viridis" (or "D", the default option).}
}
\description{
Viridis palette (discrete)
}
\details{
\if{html}{Here is an example of a 20-element palette:

  \out{<div style="text-align: center">}\figure{sample-palette.png}{options: style="width:474px;max-width:90\%;"}\out{</div>}

  }
\if{latex}{Here is an example of a 20-element palette:

  \out{\begin{center}}\figure{samplepalette.pdf}\out{\end{center}}
  }

See \link[viridisLite]{viridis} for more information on the color scale.
}
\examples{
library(scales)
show_col(viridis_pal()(10))

}
\author{
Bob Rudis \email{bob@rud.is}
}
